# rubocop:disable Naming/AccessorMethodName
module BridgeCache
  module Plugins
    class DataTransform
      def self.set_bridge_id(row)
        if row.key?('id')
          row['bridge_id'] = row['id'] if row.key?('id')
          row.delete('id')
        end

        row
      end

      def self.valid_json?(json)
        json = JSON.parse(json) unless json.instance_of?(Hash)
        json
      rescue JSON::ParserError
        false
      end
    end
  end
end
# rubocop:enable Naming/AccessorMethodName
