module BridgeCache
  class Host < BridgeBaseModel
    extend BridgeCache::Data::BridgeModel
    belongs_to :domain, foreign_key: :domain_id, primary_key: BridgeCache.primary_key,
                        class_name: 'BridgeCache::Domain', optional: true

    def self.unique_column_names
      %w[bridge_id]
    end
  end
end
