class AddBridgeTimestampsToBridgeModels < ActiveRecord::Migration[5.1]
  def change
    return unless BridgeCache.use_internal_database

    add_column :bridge_cache_affiliated_sub_accounts, :bridge_created_at, :datetime
    add_column :bridge_cache_course_templates, :bridge_created_at, :datetime
    add_column :bridge_cache_custom_fields, :bridge_created_at, :datetime
    add_column :bridge_cache_domains, :bridge_created_at, :datetime
    add_column :bridge_cache_enrollment_profiles, :bridge_created_at, :datetime
    add_column :bridge_cache_enrollments, :bridge_created_at, :datetime
    add_column :bridge_cache_grants, :bridge_created_at, :datetime
    add_column :bridge_cache_groups, :bridge_created_at, :datetime
    add_column :bridge_cache_group_enrollments, :bridge_created_at, :datetime
    add_column :bridge_cache_learner_custom_field_values, :bridge_created_at, :datetime
    add_column :bridge_cache_live_course_enrollments, :bridge_created_at, :datetime
    add_column :bridge_cache_live_course_session_registrations, :bridge_created_at, :datetime
    add_column :bridge_cache_live_course_sessions, :bridge_created_at, :datetime
    add_column :bridge_cache_live_courses, :bridge_created_at, :datetime
    add_column :bridge_cache_memberships, :bridge_created_at, :datetime
    add_column :bridge_cache_program_enrollments, :bridge_created_at, :datetime
    add_column :bridge_cache_program_group_enrollments, :bridge_created_at, :datetime
    add_column :bridge_cache_program_items, :bridge_created_at, :datetime
    add_column :bridge_cache_programs, :bridge_created_at, :datetime
    add_column :bridge_cache_tags, :bridge_created_at, :datetime
    add_column :bridge_cache_taggings, :bridge_created_at, :datetime
    add_column :bridge_cache_users, :bridge_created_at, :datetime

    add_column :bridge_cache_affiliated_sub_accounts, :bridge_updated_at, :datetime
    add_column :bridge_cache_course_templates, :bridge_updated_at, :datetime
    add_column :bridge_cache_custom_fields, :bridge_updated_at, :datetime
    add_column :bridge_cache_domains, :bridge_updated_at, :datetime
    add_column :bridge_cache_enrollment_profiles, :bridge_updated_at, :datetime
    add_column :bridge_cache_enrollments, :bridge_updated_at, :datetime
    add_column :bridge_cache_grants, :bridge_updated_at, :datetime
    add_column :bridge_cache_groups, :bridge_updated_at, :datetime
    add_column :bridge_cache_group_enrollments, :bridge_updated_at, :datetime
    add_column :bridge_cache_learner_custom_field_values, :bridge_updated_at, :datetime
    add_column :bridge_cache_live_course_enrollments, :bridge_updated_at, :datetime
    add_column :bridge_cache_live_course_session_registrations, :bridge_updated_at, :datetime
    add_column :bridge_cache_live_course_sessions, :bridge_updated_at, :datetime
    add_column :bridge_cache_live_courses, :bridge_updated_at, :datetime
    add_column :bridge_cache_memberships, :bridge_updated_at, :datetime
    add_column :bridge_cache_program_enrollments, :bridge_updated_at, :datetime
    add_column :bridge_cache_program_group_enrollments, :bridge_updated_at, :datetime
    add_column :bridge_cache_program_items, :bridge_updated_at, :datetime
    add_column :bridge_cache_programs, :bridge_updated_at, :datetime
    add_column :bridge_cache_tags, :bridge_updated_at, :datetime
    add_column :bridge_cache_taggings, :bridge_updated_at, :datetime
    add_column :bridge_cache_users, :bridge_updated_at, :datetime
  end
end
