# -*- encoding: utf-8 -*-
# stub: bridge_cache 0.3.24 ruby lib

Gem::Specification.new do |s|
  s.name = "bridge_cache".freeze
  s.version = "0.3.24"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["jshaffer".freeze]
  s.date = "2021-04-14"
  s.description = "A mountable engine for bridge data storage,\n                  can either be used for direct database connection\n                  or as a localized data storage mechanism".freeze
  s.email = ["jshaffer@instructure.com".freeze]
  s.homepage = "https://www.getbridge.com".freeze
  s.licenses = ["MIT".freeze]
  s.rubygems_version = "3.2.22".freeze
  s.summary = "A mountable engine for bridge data storage".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<activerecord-import>.freeze, [">= 0.22.0"])
    s.add_runtime_dependency(%q<bridge_blueprint>.freeze, ["~> 0.0.8"])
    s.add_runtime_dependency(%q<rails>.freeze, [">= 5.0"])
    s.add_runtime_dependency(%q<rein>.freeze, [">= 3.4.0"])
    s.add_development_dependency(%q<actionpack>.freeze, [">= 5.1.4"])
    s.add_development_dependency(%q<bundler>.freeze, [">= 1.6.2"])
    s.add_development_dependency(%q<combustion>.freeze, [">= 0.7.0"])
    s.add_development_dependency(%q<database_cleaner>.freeze, [">= 1.6.2"])
    s.add_development_dependency(%q<factory_bot_rails>.freeze, [">= 4.8.2"])
    s.add_development_dependency(%q<pg>.freeze, [">= 0.21.0"])
    s.add_development_dependency(%q<rspec-rails>.freeze, [">= 3.7.2"])
    s.add_development_dependency(%q<rubocop>.freeze, [">= 0"])
    s.add_development_dependency(%q<shoulda-matchers>.freeze, [">= 3.1.2"])
  else
    s.add_dependency(%q<activerecord-import>.freeze, [">= 0.22.0"])
    s.add_dependency(%q<bridge_blueprint>.freeze, ["~> 0.0.8"])
    s.add_dependency(%q<rails>.freeze, [">= 5.0"])
    s.add_dependency(%q<rein>.freeze, [">= 3.4.0"])
    s.add_dependency(%q<actionpack>.freeze, [">= 5.1.4"])
    s.add_dependency(%q<bundler>.freeze, [">= 1.6.2"])
    s.add_dependency(%q<combustion>.freeze, [">= 0.7.0"])
    s.add_dependency(%q<database_cleaner>.freeze, [">= 1.6.2"])
    s.add_dependency(%q<factory_bot_rails>.freeze, [">= 4.8.2"])
    s.add_dependency(%q<pg>.freeze, [">= 0.21.0"])
    s.add_dependency(%q<rspec-rails>.freeze, [">= 3.7.2"])
    s.add_dependency(%q<rubocop>.freeze, [">= 0"])
    s.add_dependency(%q<shoulda-matchers>.freeze, [">= 3.1.2"])
  end
end
