class CreateBridgeCacheHosts < ActiveRecord::Migration[5.1]
  def change
    return unless BridgeCache.use_internal_database

    create_table :bridge_cache_hosts do |t|
      t.integer :bridge_id, limit: 8, index: true
      t.integer :domain_id, limit: 8, index: true
      t.string :subdomain
      t.string :vanity_domain
      t.string :vanity_domain_state
      t.string :talent_vanity_domain
      t.timestamps
    end
  end
end
